port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 0.0.0.0:9090
ipv6: true
dns:
  enable: true
  nameserver:
    - 119.29.29.29
    - 223.5.5.5
  fallback:
    - 8.8.8.8
    - 8.8.4.4
    - tls://1.0.0.1:853
    - tls://dns.google:853
proxies:
 # 下面放入你的节点信息（可以多个，认证仔细点！），节点名字支持 🇭🇰 🇺🇸 🇸🇬 🇲🇴 🇬🇧 🇩🇪 🇯🇵 🇰🇷 🇮🇳  🇨🇳
  - name: 🇭🇰 Zouter香港
    type: anytls
    server: 143.14.189.17 
    port: 39883 
    password: "e4eXgMkMpwhYo2wy" 
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: updates.cdn-apple.com 
    skip-cert-verify: true
         
  - name: 🇭🇰 CST香港-三网优化-anytls
    type: anytls
    server: 154.36.175.244 
    port: 54833 
    password: "$iBr3e7gTeTOM7#Pp8" 
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: updates.cdn-apple.com 
    skip-cert-verify: true

  - name: 🇭🇰 CST香港-三网优化
    type: vless
    server: 154.36.175.244 
    port: 48249
    uuid: 9680e567-7aaa-4ed7-d205-ba7a7bbb7418
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: updates.cdn-apple.com # REALITY servername
    reality-opts:
      public-key: Z3ZGnAOdKkzJ07gR_7_0k9_iTTFP6paDOrqx1rN2LU4
      short-id: d61d5e0e
    client-fingerprint: chrome # cannot be empty     
        
  - name: 🇭🇰 wawo-v6
    type: ss
    server: 2400:c620:29:15e::a
    port: 12644
    cipher: aes-256-gcm
    password: "fL0IjqtjKsNpFjLRQ02xykLbTUyAw9JwNF2upF7LT2pQ"

  - name: 🇭🇰 CFwork-移动环境优选
    type: vless
    server: yx.331188.xyz
    port: 443
    uuid: e5cc00d7-b6dd-4b42-80f2-ea62dbbcfc3e
    udp: true
    tls: true
    network: ws
    # client-fingerprint: random # Available: "chrome","firefox","safari","random","none"
    servername: ff.331188.xyz # priority over wss host
    # skip-cert-verify: true
    # fingerprint: chrome
    ws-opts:
      path: "/?ed=2048"
      headers:
        Host: ff.331188.xyz
      # v2ray-http-upgrade: false
      # v2ray-http-upgrade-fast-open: false        
  
  - name: 🇭🇰 uq-移动直连
    type: anytls
    server: 150.241.240.118
    port: 18443
    password: "V1Sj5VMmnoEiSIqC" 
    udp: false
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: uq.zsbd.cf
    skip-cert-verify: true 
    
  - name: 🇭🇰 uq-reality-移动直连
    type: vless
    server: 150.241.240.118
    port: 48199
    uuid: 85660dc9-7474-42df-947d-525f6fb9fb8a
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: amd.com # REALITY servername
    reality-opts:
      public-key: 3qLzgNWxtUoTC2PKWYdxr9kuG2lKBzx0gtyXrAwxMnA
    client-fingerprint: chrome # cannot be empty      

  - name: 🇫🇷 星辰巴黎-仅IPV6
    type: anytls
    server: 2001:bc8:710:9c4a:dc00:ff:feb0:fd19
    port: 18443
    password: "V1Sj5VMmnoEiSIqC" 
    udp: false
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: bing.cf
    skip-cert-verify: true 
  - name: 🇯🇵 甲骨文东京1号                     
    type: vless
    server: 138.2.29.92
    port: 56111
    uuid: 448fc2fe-d4ef-4f3b-a068-7c90a7edd0b9
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: amd.com # REALITY servername
    reality-opts:
      public-key: UtL7E0Gmxj3X5JdcPAutpTRKo7K2hugkR0vwk2XroUM
    client-fingerprint: chrome # cannot be empty 
    
  - name: 🇯🇵 甲骨文东京2号                     
    type: vless
    server: 141.147.174.229
    port: 32153
    uuid: 73f79ba5-b363-4c86-d040-1552df8ec2d5
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: amd.com # REALITY servername
    reality-opts:
      public-key: g-oxbqigzCaXqARxuyD2_vbTYeMD9zn8wnTo02S69QM
    client-fingerprint: chrome # cannot be empty 
    
  - name: 🇯🇵 anytls节点
    type: anytls
    server: tokyo2.guanbin.tk 
    port: 8443 # 节点端口
    password: "NktnW0HeWa6LiCye" 
    udp: false
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: tokyo2.guanbin.tk  
    
  - name: 🇯🇵 CLAW日本
    type: anytls
    server: 47.79.40.173
    port: 39883 
    password: "e4eXgMkMpwhYo2wy" 
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: updates.cdn-apple.com 
    skip-cert-verify: true
    
  - name: 🇸🇬 华为云新加坡
    type: anytls
    server: 111.91.30.235
    port: 39883 
    password: "e4eXgMkMpwhYo2wy" 
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: updates.cdn-apple.com 
    skip-cert-verify: true         
    
  - name: 🇸🇬 甲骨文新加坡                  
    type: vless
    server: 138.2.65.187
    port: 59126
    uuid: a42280ac-3c28-47df-801e-bc5224224895
    udp: true
    tls: true
    network: ws
    # client-fingerprint: random # Available: "chrome","firefox","safari","random","none"
    servername: armsingapore.ccbin.gq # priority over wss host
    skip-cert-verify: true
    # fingerprint: chrome
    ws-opts:
      path: "/ddd"
      headers:
        Host: armsingapore.ccbin.gq  

  - name: 🇸🇬 AWS新加坡
    type: vless
    server: 47.129.200.252
    port: 48249
    uuid: 9680e567-7aaa-4ed7-d205-ba7a7bbb7418
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: updates.cdn-apple.com # REALITY servername
    reality-opts:
      public-key: Z3ZGnAOdKkzJ07gR_7_0k9_iTTFP6paDOrqx1rN2LU4
      short-id: d61d5e0e
    client-fingerprint: chrome # cannot be empty

  - name: 🇸🇬 AWS新加坡-ss
    type: ss
    server: 2406:da18:703:b800:77a3:73a1:f171:d9f2
    port: 48299
    cipher: 2022-blake3-aes-128-gcm
    password: "8JCsPssfgS8tiRwiMlhARg=="
   
    
  - name: 🇸🇬 Linode新加坡                     
    type: vless
    server: 139.162.1.12
    port: 19885
    uuid: 04c7095a-05ca-49d9-92e9-82b2aa171b21
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: updates.cdn-apple.com # REALITY servername
    reality-opts:
      public-key: 0-ZSB6n_IntkmfpGt-XMrEaGD0-ohymtHS6Yuj1njSc
    client-fingerprint: chrome # cannot be empty 
    
  - name: 🇺🇸 bytevirt洛杉矶-大陆优化
    type: vless
    server: 38.148.253.112
    port: 46849
    uuid: e886f32c-188e-475a-ea85-d4367d8cf945
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: amd.com # REALITY servername
    reality-opts:
      public-key: S-g0oP36DShii1uPOnZDSEhp_wQghX6h68PgMivOmD4
    client-fingerprint: chrome # cannot be empty 

  - name: 🇺🇸 Legend纽约-瓦工中转
    type: vless
    server: 104.224.153.250
    port: 47666
    uuid: 756bc648-011f-3396-909f-c7309b805922
    network: tcp
    tls: true
    udp: true
    xudp: true
    flow: xtls-rprx-vision
    servername: amd.com # REALITY servername
    reality-opts:
      public-key: 5nRfZQ9Z--uq13Ywx_Ant-j-FXQdocRbM3DmPNcS2Hk
      short-id: f10ff31833b8d999
    client-fingerprint: chrome # cannot be empty 

  - name: 🇺🇸 瓦工洛杉矶-大陆优化
    type: anytls
    server: 104.224.153.250
    port: 18443
    password: "V1Sj5VMmnoEiSIqC" 
    udp: false
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    tls: true
    servername: bwg.331188.xyz
    skip-cert-verify: true     

  - name: 🇺🇸 Legend纽约-移动环境优选
    type: vless
    server: yx.331188.xyz
    port: 443
    uuid: c8216877-2f52-4966-a48d-07def00b31ae
    udp: true
    tls: true
    network: ws
    # client-fingerprint: random # Available: "chrome","firefox","safari","random","none"
    servername: lg.ccbin.gq # priority over wss host
    # skip-cert-verify: true
    # fingerprint: chrome
    ws-opts:
      path: "/legend"
      headers:
        Host: lg.ccbin.gq
      # v2ray-http-upgrade: false
      # v2ray-http-upgrade-fast-open: false     
  - name: 🇺🇸 CCS纽约-移动环境优选
    type: vless
    server: yx.331188.xyz
    port: 443
    uuid: ef833ac0-1c27-4d44-f6df-26aa42e08885
    udp: true
    tls: true
    network: ws
    # client-fingerprint: random # Available: "chrome","firefox","safari","random","none"
    servername: yx.331188.xyz # priority over wss host
    # skip-cert-verify: true
    # fingerprint: chrome
    ws-opts:
      path: "/aafff"
      headers:
        Host: CCS.331188.xyz
      # v2ray-http-upgrade: false
      # v2ray-http-upgrade-fast-open: false         
proxy-groups:
  - type: select
    name: 🚀 节点选择
    proxies:
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - name: ⚡ 自动选择
    type: url-test
    proxies:
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
    url: https://www.gstatic.com/generate_204
    interval: 300
    lazy: false
  - type: select
    name: 🎬 流媒体
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 💬 AI 服务
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 📹 油管视频
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 🔍 谷歌服务
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 📲 电报消息
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 🎮 游戏平台
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 🔒 国内服务
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
  - type: select
    name: 🛑 广告拦截
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6

  - type: select
    name: 🐟 漏网之鱼
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇭🇰 CST香港-三网优化
      - 🇭🇰 Zouter香港
      - 🇭🇰 uq-移动直连
      - 🇭🇰 wawo-v6
      - 🇯🇵 甲骨文东京1号
      - 🇯🇵 甲骨文东京2号 
      - 🇯🇵 CLAW日本
      - 🇸🇬 甲骨文新加坡
      - 🇸🇬 华为云新加坡
      - 🇸🇬 Linode新加坡
      - 🇺🇸 bytevirt洛杉矶-大陆优化
      - 🇺🇸 瓦工洛杉矶-大陆优化
      - 🇺🇸 CCS纽约-移动环境优选
      - 🇺🇸 Legend纽约-瓦工中转
      - 🇫🇷 星辰巴黎-仅IPV6
rules:
  - GEOSITE,category-ads-all,🛑 广告拦截
  - GEOSITE,openai,💬 AI 服务
  - GEOSITE,anthropic,💬 AI 服务
  - GEOSITE,jetbrains-ai,💬 AI 服务
  - GEOSITE,perplexity,💬 AI 服务
  - GEOSITE,youtube,📹 油管视频
  - GEOSITE,google,🔍 谷歌服务
  - GEOIP,google,🔍 谷歌服务
  - GEOSITE,geolocation-cn,🔒 国内服务
  - GEOIP,cn,🔒 国内服务
  - GEOIP,telegram,📲 电报消息
  - GEOSITE,netflix,🎬 流媒体
  - GEOSITE,hulu,🎬 流媒体
  - GEOSITE,disney,🎬 流媒体
  - GEOSITE,hbo,🎬 流媒体
  - GEOSITE,amazon,🎬 流媒体
  - GEOSITE,steam,🎮 游戏平台
  - GEOSITE,epicgames,🎮 游戏平台
  - GEOSITE,ea,🎮 游戏平台
  - GEOSITE,ubisoft,🎮 游戏平台
  - GEOSITE,blizzard,🎮 游戏平台
  - MATCH,🐟 漏网之鱼